Pro Tools 10, Pro Tools 11 Pro Tools 12
DOWN LOAD
Peacock  for PT 10, PT11 and PT12
this is a combined installer
and requires ilok2
PT10.3.5 or later is required






AAX DSP for Avid S3L Installer
OLD VERSIONS